Debian Bug report logs - #704476
ITP: slowaes -- implementations of AES in slow languages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bart Martens <bartm@debian.org>

Date: Mon, 1 Apr 2013 17:00:02 UTC

Owned by: Bart Martens <bartm@debian.org>

Severity: wishlist

Fixed in version slowaes/0.1a1-1

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704476; Package wnpp. (Mon, 01 Apr 2013 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 01 Apr 2013 17:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: submit@bugs.debian.org
Subject: ITP: python-slowaes -- implementation of AES in pure python
Date: Mon, 1 Apr 2013 16:57:50 +0000
Package: wnpp
Severity: wishlist

I hereby express my intent to package slowaes for python :
http://code.google.com/p/slowaes/



Changed Bug title to 'ITP: slowaes -- implementations of AES in slow languages' from 'ITP: python-slowaes -- implementation of AES in pure python' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Mon, 01 Apr 2013 17:39:06 GMT) Full text and rfc822 format available.

Owner recorded as Bart Martens <bartm@debian.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 09:27:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 04 Apr 2013 07:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bart Martens <bartm@debian.org>:
Bug#704476; Package wnpp. (Wed, 10 Apr 2013 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bart Martens <bartm@debian.org>. (Wed, 10 Apr 2013 14:51:04 GMT) Full text and rfc822 format available.

Message #16 received at 704476@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 704476@bugs.debian.org, Bart Martens <bartm@debian.org>
Subject: slowaes: why package for Debian?
Date: Wed, 10 Apr 2013 16:46:28 +0200
Hi,

is there any reason to use a pure Python implementation for AES instead
of one written with a C backend?

The idea of slowaes seems similar to Digest::SHA::PurePerl where several
people mentioned it's not too useful on Debian[1].

Ansgar

[1] <http://bugs.debian.org/556386>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704476; Package wnpp. (Wed, 10 Apr 2013 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 10 Apr 2013 18:33:04 GMT) Full text and rfc822 format available.

Message #21 received at 704476@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 704476@bugs.debian.org
Subject: Re: slowaes: why package for Debian?
Date: Wed, 10 Apr 2013 18:28:04 +0000
block 704464 by 704476
block 704464 by 704474
stop

On Wed, Apr 10, 2013 at 04:46:28PM +0200, Ansgar Burchardt wrote:
> Hi,
> 
> is there any reason to use a pure Python implementation for AES instead
> of one written with a C backend?
> 
> The idea of slowaes seems similar to Digest::SHA::PurePerl where several
> people mentioned it's not too useful on Debian[1].
> [1] <http://bugs.debian.org/556386>

It's a dependency of electrum.
http://bitcoin.org/en/choose-your-wallet
http://electrum.org/
http://bugs.debian.org/704464

Regards,

Bart Martens



Added indication that bug 704476 blocks 704464 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 10 Apr 2013 18:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bart Martens <bartm@debian.org>:
Bug#704476; Package wnpp. (Fri, 12 Apr 2013 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bart Martens <bartm@debian.org>. (Fri, 12 Apr 2013 14:12:04 GMT) Full text and rfc822 format available.

Message #28 received at 704476@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Bart Martens <bartm@debian.org>, 704476@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>
Subject: Re: Bug#704476: slowaes: why package for Debian?
Date: Fri, 12 Apr 2013 16:09:42 +0200
[Message part 1 (text/plain, inline)]
On 2013-04-10 18:28:04, Bart Martens wrote:
> block 704464 by 704476
> block 704464 by 704474
> stop
> 
> On Wed, Apr 10, 2013 at 04:46:28PM +0200, Ansgar Burchardt wrote:
> > Hi,
> > 
> > is there any reason to use a pure Python implementation for AES instead
> > of one written with a C backend?
> > 
> > The idea of slowaes seems similar to Digest::SHA::PurePerl where several
> > people mentioned it's not too useful on Debian[1].
> > [1] <http://bugs.debian.org/556386>
> 
> It's a dependency of electrum.
> http://bitcoin.org/en/choose-your-wallet
> http://electrum.org/
> http://bugs.debian.org/704464

I'd rather see electrum ported to one of the many providers of AES for
Python that we already have in Debian. python-keyczar, python-m2crypto,
and python-crypto come to my mind and I'm probably missing others.

Especially for an implementation of an crypto algorithm I'd expect it to
ship a better test suite than what slowaes provides. Just running random
data through encrypt and decrypt and checking if it matches with the
input is just not enough to convince me that the AES implementation is
actually correct. [1]

Regards

[1] From what I can see in the test suite, the FIPS test vectors are
only run for the JS implementation, but not for the Python one. Please
correct me if I'm just missing something.
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Thu, 18 Apr 2013 13:03:20 GMT) Full text and rfc822 format available.

Notification sent to Bart Martens <bartm@debian.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 13:03:20 GMT) Full text and rfc822 format available.

Message #33 received at 704476-close@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 704476-close@bugs.debian.org
Subject: Bug#704476: fixed in slowaes 0.1a1-1
Date: Thu, 18 Apr 2013 13:00:06 +0000
Source: slowaes
Source-Version: 0.1a1-1

We believe that the bug you reported is fixed in the latest version of
slowaes, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704476@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bart Martens <bartm@debian.org> (supplier of updated slowaes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 01 Apr 2013 20:00:00 +0000
Source: slowaes
Binary: python-slowaes
Architecture: source all
Version: 0.1a1-1
Distribution: unstable
Urgency: low
Maintainer: Bart Martens <bartm@debian.org>
Changed-By: Bart Martens <bartm@debian.org>
Description: 
 python-slowaes - implementation of AES in python
Closes: 704476
Changes: 
 slowaes (0.1a1-1) unstable; urgency=low
 .
   * Initial package in Debian.  Closes: #704476.
Checksums-Sha1: 
 cdd2ef126a4d6e16cba266d370d77c1bd455d3dc 1708 slowaes_0.1a1-1.dsc
 95a92c88ca4859e7fb6f7801351a6bf165b96aec 514432 slowaes_0.1a1.orig.tar.gz
 1854e9be777f5250a129013db82c0be2a7d4b468 2190 slowaes_0.1a1-1.debian.tar.gz
 1982c3a1a2127f0d8219ef190bdb6f6190c04aa0 9994 python-slowaes_0.1a1-1_all.deb
Checksums-Sha256: 
 990770a9ad484afac31a44bc5e3f7edd40e88985c97d42fef2e456dec20e26bb 1708 slowaes_0.1a1-1.dsc
 37f2422c2789325bb65b58441f2f7823a94c4e1e153dfdd3adb5f1b75ab4cd8b 514432 slowaes_0.1a1.orig.tar.gz
 df23ef50a112b0bc53deedb62a5c9399458feddfaf7e1c45119a059a8e3d5e34 2190 slowaes_0.1a1-1.debian.tar.gz
 60c905a1a8df804e536a9e8092253ceda4c908572a38c39cdc5349874d6eb073 9994 python-slowaes_0.1a1-1_all.deb
Files: 
 b24a6f9d0453c4d2f3bd964d3d7105c1 1708 python optional slowaes_0.1a1-1.dsc
 6ef68186b8ed6d497afb562b203872ae 514432 python optional slowaes_0.1a1.orig.tar.gz
 12346d22b6fdd89ae7b639df9a242431 2190 python optional slowaes_0.1a1-1.debian.tar.gz
 9c453bc38414709ec01db6edf06d45a1 9994 python optional python-slowaes_0.1a1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRXR5iAAoJEDNV9NY7WCHMU+kP/R1MJ7Uv4QUupz3JMc2hsT5r
DqDCqRp9Muh8s7Q9jMZ1DQj0RJrcZnYoSkzjqVnGBAQtEglCEDPrWrdHdmZI+koS
ytG6JJBEKQrbHgw3l4GkBTeQGoEiCVQYoxEO3wNhT4xLN97ZYB27teo6Xg7s/3lU
HzEQU+XPwWfHTPh3NkoUnprMQqAVJg73z3FwcwXpfSKsJIYZDd8aoEcjKCuO/1Gd
kIsu+lPHllsRimlW4fL3n+yqhL9Ty+jd4hu+/6R7K169SZu/0LbhyaiPUBuuUKRZ
1j9KrKE3oA4X95sSXk3zx3XrP8y7Fv6MrxbTYmXqy9I/aWNMm9/uvlDQ1ty9wld8
suQWml4rpHx/w8JTE9KeucF/8Od9oE+Odapm+igTlbUhnMYKsY827Z7j1Vw0xyqZ
d58kp/y8Sal/cTn5ToZcI2YMzB76S5F3+Slf/+Gm4FGkx+GT5mwIlQLiDYYJSjNN
hN8/P5xdjLQikK8LhesfiDZ3UXWJwaE0glpq0ubXovJOkt9ncG5fqetHlDw8Xtl5
2ztWRIzYn0S/vFzoBt4T/1iag0e/bZWOdpVBNIcNl/p2kwNOKo31uFHJ9dQDdCG4
CVaiCGI32T9wwXTxvbW1LbLeq/bV+PUUX9hcoASSYV1ZOo1HERut1VHTAB8zhENd
JeFvrUDZjSLzJdYXH443
=g8u+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:35:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:09:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.